/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DependencyObject } from "igniteui-react-core/ES2015/DependencyObject";
import { INotifyPropertyChanged_$type, PropertyChangedEventArgs, Type, markType } from "igniteui-react-core/ES2015/type";
import { IAxisAnnotation_$type } from "./IAxisAnnotation";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { PropertyMetadata } from "igniteui-react-core/ES2015/PropertyMetadata";
export class AxisAnnotation extends DependencyObject {
    constructor() {
        super(...arguments);
        this.propertyChanged = null;
        this.k = false;
        this._formatLabel = null;
        this.j = false;
    }
    resetCachedExtent() {
        this.k = true;
    }
    checkForExtentReset(a) {
        if (this.k) {
            this.k = false;
            a();
        }
    }
    t(a, b, c) {
        this.s(a, b, c);
        if (this.propertyChanged != null) {
            this.propertyChanged(this, new PropertyChangedEventArgs(a));
        }
    }
    s(a, b, c) {
        this.j = true;
    }
    resolveLabelValue() {
        if (this.text != null) {
            return this.text;
        }
        if (this.formatLabel != null) {
            return this.formatLabel(this.value);
        }
        if (this.value == null) {
            return null;
        }
        return this.value.toString();
    }
    get formatLabel() {
        return this._formatLabel;
    }
    set formatLabel(a) {
        this._formatLabel = a;
    }
}
AxisAnnotation.$t = markType(AxisAnnotation, 'AxisAnnotation', DependencyObject.$, [INotifyPropertyChanged_$type, IAxisAnnotation_$type]);
Type.dep(DependencyProperty, PropertyMetadata, AxisAnnotation, 't', ['BackgroundPadding', [1, NaN], 'Background', [Brush.$, null], 'Outline', [Brush.$, null], 'StrokeThickness', [1, 0], 'TextColor', [Brush.$, null], 'Text', [2, null], 'Value', [4, null]]);
/*<BeginStatics Name="Infragistics.Controls.Charts.AxisAnnotation" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.AxisAnnotation" />*/
